<?php
if ( ! defined('ABSPATH') ) exit;

$hmtGeneralMessage = false;

if ( isset( $_POST['updateGeneralStyles'] ) ) {
    
    $hmtGeneralStylesInfo = array(
        'hmt_title_font_color'      => isset( $_POST['hmt_title_font_color'] ) ? sanitize_text_field( $_POST['hmt_title_font_color'] ) : '#212121',
        'hmt_title_font_size'       => isset( $_POST['hmt_title_font_size'] ) ? sanitize_text_field( $_POST['hmt_title_font_size'] ) : 12,
        'hmt_title_bg_color'        => isset( $_POST['hmt_title_bg_color'] ) ? sanitize_text_field( $_POST['hmt_title_bg_color'] ) : '#FFFFFF',
        'hmt_title_border_color'    => isset( $_POST['hmt_title_border_color'] ) ? sanitize_text_field( $_POST['hmt_title_border_color'] ) : '#EAEAEA',
    );
    
    $hmtGeneralMessage = update_option( 'hmt_search_styles', serialize( $hmtGeneralStylesInfo ) );
}

$hmtGeneralStyles           = stripslashes_deep( unserialize( get_option('hmt_search_styles') ) );
$hmt_title_font_color       = isset( $hmtGeneralStyles['hmt_title_font_color'] ) ? $hmtGeneralStyles['hmt_title_font_color'] : '#212121';
$hmt_title_font_size        = isset( $hmtGeneralStyles['hmt_title_font_size'] ) ? $hmtGeneralStyles['hmt_title_font_size'] : 12;
$hmt_title_bg_color         = isset( $hmtGeneralStyles['hmt_title_bg_color'] ) ? $hmtGeneralStyles['hmt_title_bg_color'] : '#FFFFFF';
$hmt_title_border_color     = isset( $hmtGeneralStyles['hmt_title_border_color'] ) ? $hmtGeneralStyles['hmt_title_border_color'] : '#EAEAEA';
?>
<div id="wph-wrap-all" class="wrap hmt-general-settings-page">

    <div class="settings-banner">
        <h2><?php _e('General Settings', HMT_TXT_DOMAIN); ?></h2>
    </div>

    <?php 
        if ( $hmtGeneralMessage ) {
            $this->hmt_display_notification('success', 'Your information updated successfully.');
        }
    ?>

    <div class="hmacs-wrap">

    <nav class="nav-tab-wrapper">
        <a href="?post_type=hm_testimonial&page=hmt-general-settings&tab=settings" class="nav-tab <?php if ( $hmtTab !== 'styles' ) { ?>nav-tab-active<?php } ?>"><?php _e('Content Settings', HMT_TXT_DOMAIN); ?></a>
        <a href="?post_type=hm_testimonial&page=hmt-general-settings&tab=styles" class="nav-tab <?php if ( $hmtTab === 'styles' ) { ?>nav-tab-active<?php } ?>"><?php _e('Styles Settings', HMT_TXT_DOMAIN); ?></a>
    </nav>

    <div class="hmacs_personal_wrap hmacs_personal_help" style="width: 895px; float: left; margin-top: 5px;">
        
        <div class="tab-content">
            <?php 
            switch ( $hmtTab ) {
                case 'styles':
                    ?>
                    <h3><?php _e('Styles Settings::', HMT_TXT_DOMAIN); ?></h3>
                    <?php _e('Coming soon', HMT_TXT_DOMAIN); ?>
                    <?php
                    break;
                default:
                    include HMT_PATH . 'admin/view/partial/hmt-general-settings-content.php';
                    break;
            } 
            ?>
        </div>
    
    </div>

</div>