<?php
if ( ! defined('ABSPATH') ) exit;

global $post;

// Shortcoded Options
$hmtCategory = isset( $hmtAttr['category'] ) ? $hmtAttr['category'] : null;

$hmtArr = array(
	'post_type'   => 'hm_testimonial',
	'post_status' => 'publish',
	'orderby'     => 'menu_order',
	'order'       => 'ASC',
	'meta_query'  => array(
	  'relation' => 'and',
	  array(
		'key' => 'hmt_status',
		'value' => 'active',
		'compare' => '='
	  ),
	),
);

// If Categor params found in shortcode
if ( $hmtCategory ) {

	$hmtArr['tax_query'] = array(
		array(
		'taxonomy'  => 'hm_testimonial_category',
		'field'     => 'name',
		'terms'     => $hmtCategory
		)
	);
}

$hmtData = new WP_Query( $hmtArr );
?>
<div class="flexslider">
	<ul class="slides">
		<?php
		if ( $hmtData->have_posts() ) {

			while ( $hmtData->have_posts() ) {

				$hmtData->the_post();

				$hmt_name		= get_post_meta( $post->ID, 'hmt_name', true );
				$hmt_company	= get_post_meta( $post->ID, 'hmt_company', true );
				$hmt_position	= get_post_meta( $post->ID, 'hmt_position', true );
				?>
				<li>
					<div class="hmt-content-wrapper">
						<div class="hmt-img-container">
							<?php
							if ( has_post_thumbnail() ) {
								the_post_thumbnail('medium');
							}
							?>
						</div>
						<div class="hmt-content">
							<div class="hmt-content-header">
								<h4 class="testimonials-name">
									<?php esc_html_e( $hmt_name ); ?>
								</h4>
								<span><?php esc_html_e( $hmt_position ); ?> - <?php esc_html_e( $hmt_company ); ?></span>
							</div>
							<p><?php the_content(); ?></p>
						</div>
					</div>
				</li>
				<?php
			}
			wp_reset_postdata();

		}
		?>
	</ul>
</div>