<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Create a helper function for easy SDK access.
if ( ! function_exists( 'hmt_fs' ) ) {

    // Create a helper function for easy SDK access.
    function hmt_fs() {
        global $hmt_fs;

        if ( ! isset( $hmt_fs ) ) {
            // Include Freemius SDK.
            require_once HMT_PATH . '/freemius/start.php';

            $hmt_fs = fs_dynamic_init( array(
                'id'                  => '8734',
                'slug'                => 'hm-testimonial',
                'type'                => 'plugin',
                'public_key'          => 'pk_cb5da1e11853b735f0a15ead9dd99',
                'is_premium'          => false,
                'premium_suffix'      => '',
                // If your plugin is a serviceware, set this option to false.
                'has_premium_version' => true,
                'has_addons'          => false,
                'has_paid_plans'      => true,
                'menu'                => array(
                    'slug'           => 'edit.php?post_type=hm_testimonial',
                    'first-path'     => 'edit.php?post_type=hm_testimonial',
                    'support'        => true,
                ),
                
            ) );
        }

        return $hmt_fs;
    }

    // Init Freemius.
    hmt_fs();

    // Signal that SDK was initiated.
    do_action( 'hmt_fs_loaded' );

    hmt_fs()->add_filter( 'support_forum_url', 'hmt_fs_support_forum_url' );
    function hmt_fs_support_forum_url( $wp_support_url ) {
        return 'https://wordpress.org/support/plugin/hm-testimonial/';
    }
}